<?php

if (!defined('ABSPATH')) {
    exit;
}

// Plugin activation in Wordpress
// Activación plugin en Wordpress

register_activation_hook(__FILE__, 'mcisoe_init');

function mcisoe_init()
{
    global $wpdb;
    $tabla_mcisoe_suppliers = sanitize_text_field($wpdb->prefix) . 'mcisoe_suppliers';
    $charset_collate        = sanitize_text_field($wpdb->get_charset_collate()); // get the order of the current DB to respect the same order
    //obtiene el orden de la BD actual para respetar el mismo orden

    //Create options table
    //Crear tabla options
    $tabla_mcisoe_options = sanitize_text_field($wpdb->prefix) . 'mcisoe_options';

    $query2 = "CREATE TABLE IF NOT EXISTS " . esc_sql($tabla_mcisoe_options) . "(
        id int(20) NOT NULL AUTO_INCREMENT,
        option_mci varchar(80),
		value_mci varchar(80),
        UNIQUE (id)
    ) " . esc_sql($charset_collate) . "";

    // Create table suppliers
    //Crear nueva tabla suppliers

    $query = "CREATE TABLE IF NOT EXISTS " . esc_sql($tabla_mcisoe_suppliers) . "(

        id int(20) NOT NULL AUTO_INCREMENT,
        supplier_key varchar(80),
		supplier_name varchar(80),
        supplier_email varchar(80),
        supplier_value varchar(400),
        UNIQUE (id)

    ) " . esc_sql($charset_collate) . "";

    include_once ABSPATH . 'wp-admin/includes/upgrade.php'; // Load the file where the dB Delta function is in case it is not loaded // Carga el archivo donde está la función dB Delta por si no está cargada
    dbDelta($query); // Execute the query // Ejecuta la query
    dbDelta($query2); // Execute the query // Ejecuta la query

    // Rename columns options table
    // Check if exists option column and change by option_mci
    $option_exists = $wpdb->query("SHOW COLUMNS FROM " . $tabla_mcisoe_options . " LIKE 'option'");
    if (!empty($option_exists)) {
        $wpdb->query("ALTER TABLE " . $tabla_mcisoe_options . " CHANGE option option_mci VARCHAR(80)");
    }
    // Check if exists value column and change by value_mci
    $value_exists = $wpdb->query("SHOW COLUMNS FROM " . $tabla_mcisoe_options . " LIKE 'value'");
    if (!empty($value_exists)) {
        $wpdb->query("ALTER TABLE " . $tabla_mcisoe_options . " CHANGE value value_mci VARCHAR(80)");
    }

    $wpdb->query("INSERT IGNORE " . esc_sql($tabla_mcisoe_suppliers) . " (id, supplier_key, supplier_value) VALUES (100, 'select_email_admin', 1)");

    $wpdb->query("INSERT IGNORE " . esc_sql($tabla_mcisoe_suppliers) . " (id, supplier_key) VALUES (101, 'email_subject'),(102, 'email_intro')");

    $wpdb->query("INSERT IGNORE " . esc_sql($tabla_mcisoe_suppliers) . " (id, supplier_key) VALUES

(104, 'config'),(105, 'config'),(106, 'config'),(107, 'config'),(108, 'config'),(109, 'config'),(110, 'config'),(110, 'config'),(111, 'config'),

(112, 'config'),(113, 'config'),(114, 'config'),(115, 'config'),(116, 'config'),(117, 'config'),(118, 'config'),(119, 'config'),(120, 'config')");

    $wpdb->query("INSERT IGNORE " . esc_sql($tabla_mcisoe_suppliers) . " (id, supplier_key, supplier_value) VALUES (121, 'replace_address', 0)");

////////////////// Update versión number in DB  // Actualiza el número de versión en la Base de datos

    update_option('mcisoe_version', MCISOE_VERSION);

/////////////////////////////////////////////////////////////////////////

} // end mcisoe_init

//=================================================================
//=================================================================

//////////////// Checks the version number and execute the init if is diferent  // Comprueba el número de versión y ejecuta el init si es diferente

function mcisoe_check_version()
{
    if (MCISOE_VERSION != get_option('mcisoe_version')) {
        mcisoe_init();
    }
}
add_action('plugins_loaded', 'mcisoe_check_version'); //

/////////////////////////////////////////////////////////////////////////

// Uninstall Plugin in Wordpress  // Desinstalación Plugin en Wordpress

register_uninstall_hook(__FILE__, 'mcisoe_tablesuppliers_uninstall');

//=================================================================
// Delete table and versión option on unninstall // Eliminar tabla y la opción de versión al desinstalar
//=================================================================

function mcisoe_tablesuppliers_uninstall()
{
    global $wpdb;
    $tabla_mcisoe_suppliers = sanitize_text_field($wpdb->prefix) . 'mcisoe_suppliers';
    $tabla_mcisoe_options   = sanitize_text_field($wpdb->prefix) . 'mcisoe_options';
    $wpdb->query("DROP TABLE " . sanitize_text_field($tabla_mcisoe_suppliers));
    $wpdb->query("DROP TABLE " . sanitize_text_field($tabla_mcisoe_options));

//////////////// Delete option mcisoe_version  // Borrar opción mcisoe_version

    delete_option('mcisoe_version');
    delete_option('mci_api_key');
    delete_option('mcisoe_manual_auth');

/////////////////////////////////////////////////////////////////////////

} // end unnistall